<!DOCTYPE html>
<html>
    <head>
	<meta charset="UTF-8">
	<title>To-do CRUD</title>
	<link rel="stylesheet" href="css/site.css" />
    </head>
    <body>
	<h1>To-do CRUD</h1>
	<h3>Add</h3>
	<form action="javascript:void(0);" method="POST" onsubmit="addItem()">
            <input type="text" id="add-name" placeholder="New to-do">
            <input type="submit" value="Add">
	</form>

	<div id="editForm">
            <h3>Edit</h3>
            <form action="javascript:void(0);" onsubmit="updateItem()">
		<input type="hidden" id="edit-id">
		<input type="checkbox" id="edit-isComplete">
		<input type="text" id="edit-name">
		<input type="submit" value="Save">
		<a onclick="closeInput()" aria-label="Close">&#10006;</a>
            </form>
	</div>

	<p id="counter"></p>

	<table>
            <tr>
		<th>Is Complete?</th>
		<th>Name</th>
		<th></th>
		<th></th>
            </tr>
            <tbody id="todos"></tbody>
	</table>

	<script src="js/site.js" asp-append-version="true"></script>
	<script type="text/javascript">
         getItems();
	</script>
    </body>
</html>
